import codecs
from setuptools import setup, find_packages

setup(
    name='geoip2fastreverse',
    version='0.0.1beta1',
    description='GeoIP2FastReverse - You provide a country/ASN/city code and we return the corresponding IPv4/IPv6 networks from the Maxmind database updated twice a week. Fast as always, and pure Python!',
    url='https://github.com/rabuchaim/geoip2fastreverse',
    author='Ricardo Abuchaim',
    author_email='ricardoabuchaim@gmail.com',
    maintainer='Ricardo Abuchaim',
    maintainer_email='ricardoabuchaim@gmail.com',
    project_urls={
        "Issue Tracker": "https://github.com/rabuchaim/geoip2fastreverse/issues",
        "Source code": "https://github.com/rabuchaim/geoip2fastreverse",
        "Latest DAT files": "https://github.com/rabuchaim/geoip2fastreverse/releases/latest",
        "Legacy v1.1.X DAT files": "https://github.com/rabuchaim/geoip2fastreverse/releases/tag/LEGACY",
        "Discussion Group": "https://groups.google.com/g/geoip2fastreverse",
    },
    bugtrack_url='https://github.com/rabuchaim/geoip2fastreverse/issues',
    license='MIT',
    keywords=['geoipreverse','reverse','geoip','geoip2','geolite2','maxmind','geoip2fast','geolocation','geolocalization','geo ip','ipaddress','ip','geo','ipv4','ipv6','pure-python','purepython','pure python','geoiptofast','geoiptoofast','geoip2dat','mmdb','tools'],
    packages=['geoip2fastreverse'],
    py_modules=['geoip2fastreverse', 'geoip2datreverse'],
    package_dir = {'geoip2fastreverse': 'geoip2fastreverse'},
    include_package_data=True,
    zip_safe = False,
    package_data={
        'geoip2fastreverse': [
            'CHANGELOG', 
            'geoip2fast.dat.gz',
            'geoip2fast-ipv6.dat.gz',
            'geoip2fast-asn.dat.gz',
            'geoip2fast-asn-ipv6.dat.gz',
            'tests/geoip2fastreverse_test.py',
            'tests/speed_test.py',
            'tests/coverage_test.py',
        ],
    },
    entry_points={
        'console_scripts': [
            'geoip2fastreverse = geoip2fastreverse.geoip2fastreverse:main_function',
            'geoip2dat = geoip2fastreverse.geoip2dat:main_function'
        ]
    },
    python_requires=">=3.10",
    install_requires=[],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Topic :: Security',
        'Topic :: Internet',
        'Topic :: Internet :: Finger',
        'Topic :: Scientific/Engineering',
        'Topic :: System :: Monitoring',
        'Topic :: System :: Networking',
        'Topic :: System :: Systems Administration',
        'Topic :: Software Development :: Libraries',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: Software Development :: Localization',
        'Topic :: Utilities',
        'Intended Audience :: Developers',
        'Intended Audience :: Information Technology',
        'Intended Audience :: System Administrators',
        'Operating System :: MacOS',
        'Operating System :: Microsoft :: Windows :: Windows 10',
        'Operating System :: Microsoft :: Windows :: Windows 11',
        'Operating System :: Unix',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: Linux',
        'Operating System :: POSIX :: BSD',
        'Operating System :: POSIX :: BSD :: FreeBSD',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.10',  
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
        'Programming Language :: Python :: 3.13',
        'Programming Language :: Python :: 3.14',
        'Programming Language :: Python :: Implementation :: PyPy',
        'License :: OSI Approved :: MIT License',
    ],
    long_description=codecs.open("README.md","r","utf-8").read(),
    long_description_content_type='text/markdown',
)
